Can't get EZ 3-in-1 Flash to recognize with CycloDS

Discussion in 'EZ-Flash' started by dasmodul, Feb 20, 2009.

  1. dasmodul
    OP

    Newcomer dasmodul Newbie

    Joined:
    Feb 20, 2009
    Messages:
    3
    Country:
    United States
    Hey guys,
    I ordered a EZ 3-in-1 flash to get my GBA roms to work on the DS and I can't for the life of me get it to work. I followed the directions in the link below to no avail. All I keep getting is the error message "Slot2 expansion pack not found. Please redo from start. (A) : Confirm"

    Directions:
    ------------
    http://www.teamcyclops.com/forum/showpost....mp;postcount=12



    My system info:

    Nintendo DS Lite
    CycloDS v1.53
    Moonshell v1.71
    GBA Exploader v.58

    Anybody have any suggestions I can try? I really hope this card isn't bad. Stupid DealExtreme sent it to me from a vendor in Hong Kong of all places, so returning it is going to be an ordeal at best.
    Thanks.
     
  2. blanco613

    Member blanco613 GBAtemp Regular

    Joined:
    Sep 28, 2008
    Messages:
    150
    Location:
    usa
    Country:
    United States
    i would either try taking out the ezflash and try putting it in again
    if that doesn't work try pushing in the ezflash a little more just to make sure its in all the way and if that still doesn't work try updating to the latest firmware 1.54 beta 3 which is HERE
     
  3. dasmodul
    OP

    Newcomer dasmodul Newbie

    Joined:
    Feb 20, 2009
    Messages:
    3
    Country:
    United States
    Just updated to 1.54beta. No go. Still spits out the same message.
     
  4. Jdbye

    Suspended Jdbye Always Remember 30/07/08

    Joined:
    May 10, 2006
    Messages:
    1,071
    Location:
    Norway
    Country:
    Norway
    DealExtreme IS in hong kong.
    Anyway...
    The new EZ3-in-1's have different hardware and do not currently work with the CycloDS. These are the ones known as the 3-in-1 plus. Currently those are the ones DX have.
    Look in the post here:
    http://www.teamcyclops.com/forum/showpost....amp;postcount=1
    They are having difficulties getting their hands on a EZ3-in-1 plus, that's why they haven't fixed it yet. Fixing it probably won't take long after they get one.
    They do however work with GBA ExpLoader 0.58b. Note the b. Plain 0.58 will not work with the new EZ3-in-1, only the 0.58b.
    So get 0.58b, and use that in the meantime until TC adds support for it. 0.58b should be in the download center.
     
  5. dasmodul
    OP

    Newcomer dasmodul Newbie

    Joined:
    Feb 20, 2009
    Messages:
    3
    Country:
    United States
    Thanks a lot jdbye! You were right, I guess I have one of the "Plus" models. The .58b firm worked. Take care.
     
  6. Minnesinger

    Newcomer Minnesinger Newbie

    Joined:
    Nov 17, 2008
    Messages:
    6
    Country:
    Germany
    You need to open the settingsfile in the CycloDS folder with Notepad and change GBA support from '0' to '1'.

    Regarding the 3in1+:

    Regarding EZ3in1+ support:

    We have now improved support for EZ3in1+ as much as is possible, however it seems that this revised unit suffers from actual hardware problems which unfortunately may not be fixable in software. Rumble does not seem to work at all, and there appear to be timing problems with the NOR flash which affect GBA gameplay. We have tested against the official EZ5 kernel from the EZFlash team which produces the same results we are seeing - this only further supports the theory that these problems are caused by the hardware itself. Until the EZFLash team fixes these problems in their own kernel and release working source code for us to use then we are going to hold this assumption and will not be investing any more time in EZ3in1+ compatibility when it may very well be a futile cause. We really do wonder if this new hardware was tested properly before release or if it was simply rushed out the door due to problems sourcing stock of the old components.

    Details of the problems are as follows:

    * Rumble does not seem to work at all, at least not with the source code provided (and does not work with the official EZ5 kernel either)
    * Writing GBA games to NOR flash is supported, however some combinations of GBA card bus wait states seem to run unstable which can cause various problems with some games from sound glitches to preventing the game from even booting. Running GBA games from NOR with EZ3in1+ really is hit and miss and we recommend using PSRAM instead whenever possible. Once again, the problems running GBA games from NOR flash are also found when using the official EZ5 kernel.
     
  7. icebloomafoo

    Newcomer icebloomafoo Newbie

    Joined:
    Feb 27, 2009
    Messages:
    2
    Country:
    United States
    How can you tell the difference between the 3in1 and 3in1+? I just got my CycloDS Evolution and ezflash V 3 in 1 and my DS Lite will not recognize the 3in1... It won't recognize when trying to run a GBA rom, using Opera, or Rudolph's Backup Tool (for 3in1)... I always get a msg saying something about a compatible slot 2 device was not found...

    Here's a pic, if anyone can identify what I have from a pic... (There's no + anywhere on the box or the label on the cartridge...)
    [​IMG]

    I don't think it's a plus but it's brand new and my DS Lite refuses to see it. [​IMG] Is it just a faulty hardware?

    EDIT: Ok I updated to the most recent firmware (1.53b3) and I can run a GBA rom and the opera browser, but Rudolph's backup tool for 3in1 still errors out and turns the ds off... I hope support for it grows... I don't know where to get a non-plus 3in1 even if I did return this one. [​IMG]
     
  8. Mbmax

    Member Mbmax Homebrew addicted

    Joined:
    Nov 7, 2006
    Messages:
    2,272
    Country:
    Antarctica
  9. icebloomafoo

    Newcomer icebloomafoo Newbie

    Joined:
    Feb 27, 2009
    Messages:
    2
    Country:
    United States
    Thank u very much for the link! I don't have a small enough screwdriver. [​IMG]

    At least I can launch GBA games and use it for the browser, now, with the new beta evolution firmware.

    Now if only I could get the wifi to work for homebrew... commercial games hook up perfectly but no homebrew apps will connect... I've tried changing router channels, assigning static IP, deleting and re-creating the network profile within a commercial game... IDK...

    Thanks again for the link, though, ccosmos. [​IMG]
     
  10. vice51

    Newcomer vice51 Newbie

    Joined:
    Mar 11, 2009
    Messages:
    4
    Country:
    United Kingdom
    That is odd... I was having the same problems with my hardware, which I only received yesterday. At the beginning the issues led me to believe that the hardware was indeed defective, but now with Exploader 0.58b and Firmware 1.54 beta2 I have rumble working and 'shaky' GBA support. I will try soon with latest firmware, to see if I can make the opera browser work.
     

Share This Page